PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## Forth

> Base system

`INTERPRET-NEXT``` => `"FORTH"`

  (no description)

  compiling word = [p4_interpret_next]

`INTERPRET-FIND``( CS: dest* -- dest* )``executes ( -- ) experimental` => `"FORTH"`

  check the next word from `QUERY` and try to look it up with `FIND` - if found then execute the token right away and branch out of the loop body (usually do it `AGAIN` )

  compiling word = [p4_interpret_find]

`INTERPRET-NUMBER``( CS: dest* -- dest* )``executes ( -- ) experimental` => `"FORTH"`

  check the next word from `QUERY` and try to parse it up with => ?NUMBER - if parseable then postpone the number for execution and branch out of the loop body (usually do it `AGAIN` )

  compiling word = [p4_interpret_number]

`INTERPRET-NOTHING``` => `"FORTH"`

  (no description)

  compiling word = [p4_interpret_nothing]

`INTERPRET-UNDEFINED``` => `"FORTH"`

  (no description)

  compiling word = [p4_interpret_undefined]